net.sf.jasperreports.engine.util

## Class LocalJasperReportsContext

- java.lang.Object
- - net.sf.jasperreports.engine.SimpleJasperReportsContext
  - - net.sf.jasperreports.engine.util.LocalJasperReportsContext

- All Implemented Interfaces:
    JasperReportsContext

      public class LocalJasperReportsContext
      extends SimpleJasperReportsContext

  Version:
    $Id: LocalJasperReportsContext.java 6886 2014-02-11 15:03:09Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalJasperReportsContext(JasperReportsContext parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> java.util.List<T>` | `getExtensions(java.lang.Class<T> extensionType)` Returns a list of extension objects for a specific extension type.
    `static JasperReportsContext` | `getLocalContext(JasperReportsContext jasperReportsContext, java.util.Map<java.lang.String,java.lang.Object> parameterValues)`
    `void` | `setClassLoader(java.lang.ClassLoader classLoader)`
    `void` | `setFileResolver(FileResolver fileResolver)`
    `void` | `setURLStreamHandlerFactory(java.net.URLStreamHandlerFactory urlHandlerFactory)`

    - ### Methods inherited from class net.sf.jasperreports.engine.SimpleJasperReportsContext

      `getProperties, getPropertiesMap, getProperty, getValue, removeProperty, removeValue, setExtensions, setExtensions, setParent, setPropertiesMap, setProperty, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalJasperReportsContext

          public LocalJasperReportsContext(JasperReportsContext parent)

  - ### Method Detail

    - #### getLocalContext

          public static JasperReportsContext getLocalContext(JasperReportsContext jasperReportsContext,
                                             java.util.Map<java.lang.String,java.lang.Object> parameterValues)

    - #### setClassLoader

          public void setClassLoader(java.lang.ClassLoader classLoader)

    - #### setURLStreamHandlerFactory

          public void setURLStreamHandlerFactory(java.net.URLStreamHandlerFactory urlHandlerFactory)

    - #### setFileResolver

          public void setFileResolver(FileResolver fileResolver)

    - #### getExtensions

          public <T> java.util.List<T> getExtensions(java.lang.Class<T> extensionType)

      Description copied from class: `SimpleJasperReportsContext`
      Returns a list of extension objects for a specific extension type.
      Specified by:
        `getExtensions` in interface `JasperReportsContext`
      Overrides:
        `getExtensions` in class `SimpleJasperReportsContext`
      Type Parameters:
        `T` - generic extension type
      Parameters:
        `extensionType` - the extension type
      Returns:
        a list of extension objects

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com